[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataLink.RecordCount

Number of records in the buffer of the dataset

## Declaration

Source position: db.pas line 1841

`public property TDataLink.RecordCount : Integer read GetRecordCount;`

## Description

RecordCount returns the number of records in the dataset's buffer. It is limited by the TDatalink.BufferCount property: RecordCount i s always less than Buffercount.

## See also

TDatalink.BufferCount |  | Set to the number of record buffers this datalink needs.